Package org.eclipse.emf.cdo.lm.reviews

# Enum Class TopicStatus

java.lang.Object
java.lang.Enum<TopicStatus>
org.eclipse.emf.cdo.lm.reviews.TopicStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<TopicStatus>`, `java.lang.constant.Constable`, `Enumerator`

public enum TopicStatus extends Enum<TopicStatus> implements Enumerator
A representation of the literals of the enumeration 'Topic Status', and utility methods for working with them.

Since:
  1.2
See Also:
  - `ReviewsPackage.getTopicStatus()`
Generated
Model

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NONE`
The 'None' literal object.
`RESOLVED`
The 'Resolved' literal object.
`UNRESOLVED`
The 'Unresolved' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NONE_VALUE`
The 'None' literal value.
`static final int`
`RESOLVED_VALUE`
The 'Resolved' literal value.
`static final int`
`UNRESOLVED_VALUE`
The 'Unresolved' literal value.
`static final List<TopicStatus>`
`VALUES`
A public read-only list of all the 'Topic Status' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static TopicStatus`
`get(int value)`
Returns the 'Topic Status' literal with the specified integer value.
`static TopicStatus`
`get(String literal)`
Returns the 'Topic Status' literal with the specified literal value.
`static TopicStatus`
`getByName(String name)`
Returns the 'Topic Status' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static TopicStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TopicStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final TopicStatus NONE
The 'None' literal object.

See Also:
  - `NONE_VALUE`
Generated
Ordered

### UNRESOLVED

public static final TopicStatus UNRESOLVED
The 'Unresolved' literal object.

See Also:
  - `UNRESOLVED_VALUE`
Generated
Ordered

### RESOLVED

public static final TopicStatus RESOLVED
The 'Resolved' literal object.

See Also:
  - `RESOLVED_VALUE`
Generated
Ordered

## Field Details

### NONE_VALUE

public static final int NONE_VALUE
The 'None' literal value.

See Also:
  - `NONE`
  - Constant Field Values
Generated
Model
  name="None"
Ordered

### UNRESOLVED_VALUE

public static final int UNRESOLVED_VALUE
The 'Unresolved' literal value.

See Also:
  - `UNRESOLVED`
  - Constant Field Values
Generated
Model
  name="Unresolved"
Ordered

### RESOLVED_VALUE

public static final int RESOLVED_VALUE
The 'Resolved' literal value.

See Also:
  - `RESOLVED`
  - Constant Field Values
Generated
Model
  name="Resolved"
Ordered

### VALUES

public static final List<TopicStatus> VALUES
A public read-only list of all the 'Topic Status' enumerators.

Generated

## Method Details

### values

public static TopicStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TopicStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static TopicStatus get(String literal)
Returns the 'Topic Status' literal with the specified literal value.

Parameters:
  `literal` - the literal.
Returns:
  the matching enumerator or `null`.
Generated

### getByName

public static TopicStatus getByName(String name)
Returns the 'Topic Status' literal with the specified name.

Parameters:
  `name` - the name.
Returns:
  the matching enumerator or `null`.
Generated

### get

public static TopicStatus get(int value)
Returns the 'Topic Status' literal with the specified integer value.

Parameters:
  `value` - the integer value.
Returns:
  the matching enumerator or `null`.
Generated

### getValue

public int getValue()

Specified by:
  `getValue` in interface `Enumerator`
Generated

### getName

public String getName()

Specified by:
  `getName` in interface `Enumerator`
Generated

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `Enumerator`
Generated

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<TopicStatus>`
Generated